> For the complete documentation index, see [llms.txt](https://docs.erathos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.erathos.com/destinations/postgresql/azure.md).

# Azure

To connect to your PostgreSQL instance (hosted on Azure Cloud), in addition to the access credentials, there are specific configurations that need to be made.

## Setup

### Install extension

The initial requirement to use PostgreSQL on Azure as a destination is to enable the extension that allows reading files from Blob Storage.

In the Azure portal, locate your database. On the database's main page, expand **Settings** in the sidebar, and select **Server Parameters**.

Once the configuration screen loads, filter by **"azure.extension"**. In the **VALUE** column for the **azure.extension** row, click to view the list of values. Find and select **AZURE\_STORAGE** from the available options, then click **Save** at the top of the page to add this to the list of allowed extensions.

![](https://help.erathos.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBaE1CIiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--9f5000c83abbdf730440ea74fe500487258f04d1/Screenshot%20from%202024-09-20%2011-11-31.png)

After adding the extension to the allowed list, execute the following query to install the additional functionalities related to Storage:

```sql
 CREATE EXTENSION azure_storage;
```

To finalize, grant admin permission for the extension to the user of the credential that will be used on the platform with the following query:

```sql
GRANT azure_storage_admin TO <CREDENTIAL_USER>;
```

{% hint style="info" %}
Replace `<CREDENTIAL_USER>` with the username of the credential that will be used on the Erathos platform.
{% endhint %}

### Firewall

{% hint style="success" %}
Our **IP address** is **35.212.87.86.**
{% endhint %}

You’ll need to add Erathos IP addresses to your firewall’s whitelist. Navigate to the main page of the chosen database and select the **Networking** option within **Settings**. Scroll to the **Firewall rule name** table and choose a name of your preference to identify our platform. Then, add the platform's IP as the **Firewall rule name** and **End IP address**. Apply the new rule by clicking **Save** at the top of the page.

![](https://help.erathos.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBBaFVCIiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--e99ac88b0696d9fd5ad028b22bebff1fb4658673/Screenshot%20from%202024-09-20%2011-34-30.png)

## Connect to Erathos

To connect Erathos to your PostgreSQL (Azure):

1. **Create a New Destination**
   * Go to **Settings** > **Data Warehouse**.
   * Select **PostgreSQL (Azure)**.
2. **Fill Out the Form**
   * Input your credentials, such as **Host**, **Database name**, **User**, **Password** and **Port**.
3. **Advanced Options (Optional)**
   * Define if the connection should be made through a Static IP or SSH. For more information, plese referer to [Databases connection types](/connectors/databases.md#connection-types).

{% hint style="info" %}
If you need help connecting to your PostgreSQL, reach out to our team at <support@erathos.com>.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/destinations/postgresql/azure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
